shake.h File Reference

Classes for SHAKE message digests. More...

Go to the source code of this file.

## Classes

class | SHAKE
| SHAKE message digest base class. More...
class | SHAKE_Final< T_Strength >
| SHAKE message digest template. More...
class | SHAKE128
| SHAKE128 message digest. More...
class | SHAKE256
| SHAKE256 message digest. More...

## Detailed Description

Classes for SHAKE message digests.

The library provides byte oriented SHAKE128 and SHAKE256 using F1600. FIPS 202 allows nearly unlimited output sizes, but Crypto++ limits the output size to UINT_MAX due underlying data types.

See also
  Keccak, SHA3, SHAKE128, SHAKE256, FIPS 202, SHA-3 Standard: Permutation-Based Hash and Extendable-Output Functions

Since
  Crypto++ 8.1

Definition in file shake.h.